Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_DLList_Node Class Reference

Base implementation of element in a DL list. Needed for ACE_Double_Linked_List. More...

`#include <Containers.h>`

List of all members.

## Public Methods
| ACE_DLList_Node (void *&i, ACE_DLList_Node *n=0, ACE_DLList_Node *p=0)
| ~ACE_DLList_Node (void)
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
void * | item_
ACE_DLList_Node * | next_
ACE_DLList_Node * | prev_
## Protected Methods
| ACE_DLList_Node (void)
## Friends
class | ACE_Double_Linked_List< ACE_DLList_Node >
class | ACE_Double_Linked_List_Iterator_Base< ACE_DLList_Node >
class | ACE_Double_Linked_List_Iterator< ACE_DLList_Node >
class | ACE_Double_Linked_List_Reverse_Iterator< ACE_DLList_Node >

## Detailed Description

Base implementation of element in a DL list. Needed for ACE_Double_Linked_List.

## Constructor & Destructor Documentation

ACE_INLINE ACE_DLList_Node::ACE_DLList_Node | ( | void *& | i,
|  | ACE_DLList_Node * | n = 0,
|  | ACE_DLList_Node * | p = 0
| ) |

ACE_INLINE ACE_DLList_Node::~ACE_DLList_Node | ( | void |  | ) |

ACE_INLINE ACE_DLList_Node::ACE_DLList_Node | ( | void |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class ACE_Double_Linked_List< ACE_DLList_Node >`[friend]`

friend class ACE_Double_Linked_List_Iterator< ACE_DLList_Node >`[friend]`

friend class ACE_Double_Linked_List_Iterator_Base< ACE_DLList_Node >`[friend]`

friend class ACE_Double_Linked_List_Reverse_Iterator< ACE_DLList_Node >`[friend]`

## Member Data Documentation

ACE_DLList_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

void* ACE_DLList_Node::item_

ACE_DLList_Node* ACE_DLList_Node::next_

ACE_DLList_Node* ACE_DLList_Node::prev_

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers.i